Set processing order

put/v1/environments/{environmentId}/operations/configmodifierlinks/setprocessingorder
MCP ToolWrite
Page View

Config modifier endpoints allow you to review and manage config modifiers and their related links. Learn about config modifiers.

Anyone in a Redox organization can view config modifiers and related links, but you must be assigned to an engineer or support role to update them.

You can:

  • retrieve a list of config modifiers by environment or organization;
  • create config modifiers or links;
  • update config modifiers or links; or
  • delete config modifiers or link.

Set processing order

Set the processing order for a set of config modifier links. This determines the order that the config modifiers run in during log processing.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/environments/{environmentId}/operations/configmodifierlinks/setprocessingorder' \
2
--request PUT \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json' \
5
--header 'Content-Type: application/json' \
6
--data '{
7
"subscription": {
8
"sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",
9
"destinationId": "d0a0ebc7-d6b4-4f3c-a5af-5761a8148e3a",
10
"dataModel": "string"
11
},
12
"processingLocation": "source-request",
13
"ownedBy": "source",
14
"links": [
15
{
16
"id": "string",
17
"order": 0
18
}
19
]
20
}'

Path Parameters

  • environmentId
    required, string

    Identifies the specific environment that you're operating in or on behalf of.

Request Body Schema

    Contains the details for updating the processing order of the config modifiers linked to a given subscription.

  • subscription
    required, object

    Identifies the subscription that the config modifiers are linked to..

    • sourceId
      required, string

      Identifies the source associated with the specified subscription.

      Format: uuid
    • destinationId
      required, string

      Identifies the destination associated with the specified subscription.

      Format: uuid
    • dataModel
      required, string

      Identifies the Redox data model associated with the specified subscription.

  • processingLocation
    required, string

    Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.

    Possible Values: source-request, destination-request, source-response, destination-response
  • Contains an array of all links for the given subscription and processing location to set their processing order.

    • id
      required, string

      Contains the unique identifier of the link to be ordered.

    • order
      required, number

      Specifies the order that the config modifiers should run at the given processing location.

  • ownedBy
    string

    Specifies which side (source or destination) owns the config modifier links being ordered. Defaults to the links' ownedBy value if not provided. The ownedBy value for all links being ordered must be the same.

    Possible Values: source, destination

Response fields and example

Example payload generated from schema
1
{
2
"meta": {
3
"version": "1.0.0"
4
},
5
"payload": {
6
"configModifierLinks": [
7
{
8
"configModifierId": "f84d602d-7449-4a13-b9a4-8688cae85726",
9
"configModifierVersion": 0,
10
"id": "dc5d2a43-df19-459c-b14f-450584ce1c55",
11
"ownedBy": "source",
12
"processingLocation": "source-request",
13
"dataModel": "PatientAdmin",
14
"eventTypes": [
15
"string"
16
],
17
"source": {
18
"id": "1ee1d994-652f-44b5-9342-4b3e8b9918ee",
19
"name": "string"
20
},
21
"destination": {
22
"id": "39a858ea-4474-4d04-b37e-88862fe4054d",
23
"name": "string"
24
},
25
"organization": {
26
"id": 122,
27
"name": "string"
28
},
29
"connectingOrganization": {
30
"id": 122,
31
"name": "string"
32
},
33
"environment": {
34
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
35
},
36
"processingOrder": {
37
"order": 0,
38
"total": 0
39
},
40
"createdAt": "2024-04-25T18:17:16.719Z",
41
"createdBy": {
42
"id": 0,
43
"name": "string"
44
},
45
"updatedAt": "2024-04-28T19:17:16.719Z",
46
"updatedBy": {
47
"id": 0,
48
"name": "string"
49
},
50
"deletedAt": "2024-04-29T02:18:00.000Z",
51
"deletedBy": {
52
"id": 0,
53
"name": "string"
54
}
55
}
56
]
57
}
58
}
  • meta
    object
    • version
      string

      Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

  • payload
    object

    Contains the payload with details about the updated config modifier link(s).

    • Contains an array of config modifier links.

      • configModifierId
        string

        Contains the unique identifier of a config modifier link.

      • configModifierVersion
        number

        Indicates the iteration, or version number, of the config modifier. Version numbers start at 1 and increment every time a config modifier is updated.

      • id
        string

        Displays the unique identifier of the specified config modifier link.

        Format: uuid
      • ownedBy
        string

        Indicates whether the source or destination system owns the link. Only the owner can view the specific details or update a link.

        Possible Values: source, destination
      • processingLocation
        string

        Identifies where a link will be applied during log processing. There are up to four stages that an asset can be linked to, depending on whether you own either the source, the destination, or both.

        Possible Values: source-request, destination-request, source-response, destination-response
      • dataModel
        string

        Identifies the Redox data model that the link applies to.

      • eventTypes
        Array of string

        Indicates which event type(s) of the data model the config modifier is linked to. If not restricted to certain event types, you must explicitly set this field to null; this means the config modifier is linked to all event types.

      • source
        object

        Specifies the source of the subscription that the config modifier is linked to.

        • id
          string

          Contains the unique identifier of the source.

        • name
          nullable, string

          Displays the human-readable name of the source.

      • destination
        object

        Specifies the destination of the subscription that the config modifier is linked to.

        • id
          string

          Contains the unique identifier of the destination.

        • name
          nullable, string

          Displays the human-readable name of the destination.

      • organization
        object

        Contains metadata about the Redox organization.

        • id
          number

          Contains the unique identifier of the Redox organization.

        • name
          nullable, string

          Contains the human-readable name of the Redox organization.

      • connectingOrganization
        object

        Specifies the organization the asset is connected to when the subscription relates to a partner organization.

        • id
          number

          Contains the unique identifier of the Redox organization.

        • name
          nullable, string

          Contains the human-readable name of the Redox organization.

      • environment
        object

        Contains metadata about the environment within the associated Redox organization.

        • id
          string

          Contains the unique identifier of the Redox environment.

          Format: uuid
      • processingOrder
        object

        Contains the details for the processing order of the config modifiers linked to a given subscription.

        • order
          nullable, number

          Specifies the order that the config modifiers should run at the given processing location.

        • total
          number

          Displays the total number of config modifier links for the given subscription and processing location.

      • createdAt
        string

        Displays the date and time that the link was originally created in ISO 8601 format.

      • createdBy
        object

        Contains the metadata about the user who created the asset.

        • id
          number

          Contains the unique identifier of the user.

        • name
          nullable, string

          Displays the user's full name.

      • updatedAt
        nullable, string

        Displays the date and time that the link was last updated.

      • updatedBy
        object

        Contains the metadata about the user who last updated the asset.

        • id
          number

          Contains the unique identifier of the user.

        • name
          nullable, string

          Displays the user's full name.

      • deletedAt
        nullable, string

        Displays the date and time that the link was deleted. Returns a null value if the link hasn't been deleted.

      • deletedBy
        nullable, object

        Contains metadata about the user who performed the delete. Returns a null value if the config modifier hasn't been deleted.

        • id
          number

          Contains the unique identifier of the user.

        • name
          nullable, string

          Displays the user's full name.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.